Package org.apache.tools.ant.types

## Class TimeComparison

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.TimeComparison

Direct Known Subclasses:
  `DateSelector.TimeComparisons`

    public class TimeComparison
    extends EnumeratedAttribute

EnumeratedAttribute for time comparisons. Accepts values "before", "after", "equal".

Since:
  Ant 1.7

### Field Summary

Fields
`static TimeComparison` `AFTER` After Comparison.
`static TimeComparison` `BEFORE` Before Comparison.
`static TimeComparison` `EQUAL` Equal Comparison.

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
`TimeComparison()` Default constructor.
`TimeComparison​(java.lang.String value)` Construct a new TimeComparison with the specified value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `compare​(long t1, long t2)` Compare two times.
`static int` `compare​(long t1, long t2, long g)` Compare two times.
`boolean` `evaluate​(long t1, long t2)` Evaluate two times against this TimeComparison.
`boolean` `evaluate​(long t1, long t2, long g)` Evaluate two times against this TimeComparison.
`java.lang.String[]` `getValues()` Return the possible values.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BEFORE

    public static final TimeComparison BEFORE

Before Comparison.

#### AFTER

    public static final TimeComparison AFTER

After Comparison.

#### EQUAL

    public static final TimeComparison EQUAL

Equal Comparison.

### Constructor Detail

#### TimeComparison

    public TimeComparison()

Default constructor.

#### TimeComparison

    public TimeComparison​(java.lang.String value)

Construct a new TimeComparison with the specified value.

Parameters:
  `value` - the EnumeratedAttribute value.

### Method Detail

#### getValues

    public java.lang.String[] getValues()

Return the possible values.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  String[] of EnumeratedAttribute values.

#### evaluate

    public boolean evaluate​(long t1,
                            long t2)

Evaluate two times against this TimeComparison.

Parameters:
  `t1` - the first time to compare.
  `t2` - the second time to compare.
Returns:
  true if the comparison result fell within the parameters of this TimeComparison.

#### evaluate

    public boolean evaluate​(long t1,
                            long t2,
                            long g)

Evaluate two times against this TimeComparison.

Parameters:
  `t1` - the first time to compare.
  `t2` - the second time to compare.
  `g` - the timestamp granularity.
Returns:
  true if the comparison result fell within the parameters of this TimeComparison.

#### compare

    public static int compare​(long t1,
                              long t2)

Compare two times.

Parameters:
  `t1` - the first time to compare.
  `t2` - the second time to compare.
Returns:
  a negative integer, a positive integer, or zero as t1 is before, after, or equal to t2 accounting for the default granularity.

#### compare

    public static int compare​(long t1,
                              long t2,
                              long g)

Compare two times.

Parameters:
  `t1` - the first time to compare.
  `t2` - the second time to compare.
  `g` - the timestamp granularity.
Returns:
  a negative integer, a positive integer, or zero as t1 is before, after, or equal to t2 accounting for the specified granularity.